POST erp/invoices

Get erp invoice number of all invoices by dealer.

Request Information
Parameters
Name Description
dealer
[Mandatory, string]
Dealer number. Length must be 5. A five-digit number, made up of a unique 4-digit numerical dealer number and a single digit (N=numerical digit) that denotes department type. Or corresponding SaddleNumber, length must be 6.
invoices
[Mandatory, object]
Invoice information for uploading.
delivery
[Mandatory, string]
delivery information
sapShipTo
[Mandatory, string]
SAP Ship To
charge
[Mandatory, string]
Charge
sapPayer
[Mandatory, string]
SAP Payer
invoiceNumber
[Mandatory, string]
Invoice number
invoiceDate
[Mandatory, string]
Invoice Date (format:YYYYMMdd)
companyName
[Mandatory, string]
Company name
address1
[Mandatory, string]
address Information
address2
[Mandatory, string]
address Information
postcode
[Mandatory, string]
Postcode
customerABN
[Mandatory, string]
Customer ABN
customerReference
[Mandatory, string]
Customer Reference
deliveryDate
[Mandatory, string]
Delivery Date (format: YYYYMMdd)
customerReference
[Mandatory, string]
Customer Reference
deliveryMethod1
[Mandatory, string]
Delivery Method Information
deliveryMethod2
[Mandatory, string]
Delivery Method Information
deliveryReference
[Mandatory, string]
Delivery Reference
orderNumber
[Mandatory, string]
Order number
orderDate
[Mandatory, string]
Order date (format: YYYYMMdd)
orderType
[Mandatory, string]
Order type
orderTypeName
[Mandatory, string]
Order type name
hoosInvoiceItems
[Mandatory, object]
Hoos Invoice Item Information
lineNumber
[Mandatory, string]
Line number
partNumber
[Mandatory, string]
Part number
partDescription
[Mandatory, string]
Part Description
partQuantityOrdered
[Mandatory, string]
Part Quantity Ordered
partNumber
[Mandatory, string]
Part number
partQuantityAllocated
[Mandatory, string]
Part quantity allocated
partQuantityBackorder
[Mandatory, string]
Part quantity backorder
listPrice
[Optional, decimal]
List Price
wholesalePrice
[Mandatory, string]
Whole sale price
extension
[Mandatory, string]
Extension
subTotal
[Mandatory, string]
Sub Total
freight
[Mandatory, string]
Freight
gst
[Mandatory, string]
GST
grandTotal
[Mandatory, string]
Grand Total
sapSoldTo
[Mandatory, string]
SAP Sold To
Request body formats
application/json
Example:
{
  "erpInvoices": [
    {
      "dealer": "string",
      "invoices": [
        {
          "delivery": "string",
          "sapShipTo": "string",
          "charge": "string",
          "sapPayer": "string",
          "invoiceNumber": "string",
          "invoiceDate": "string",
          "companyName": "string",
          "address1": "string",
          "address2": "string",
          "postcode": "string",
          "customerABN": "string",
          "customerReference": "string",
          "deliveryDate": "string",
          "deliveryMethod1": "string",
          "deliveryMethod2": "string",
          "deliveryNumber": "string",
          "deliveryReference": "string",
          "orderNumber": "string",
          "orderDate": "string",
          "orderType": "string",
          "orderTypeName": "string",
          "hoosInvoiceItems": [
            {
              "lineNumber": "string",
              "partNumber": "string",
              "partDescription": "string",
              "partQuantityOrdered": "string",
              "partQuantityAllocated": "string",
              "partQuantityBackorder": "string",
              "listPrice": 0,
              "wholesalePrice": "string",
              "extension": "string"
            }
          ],
          "subTotal": "string",
          "freight": "string",
          "gst": "string",
          "grandTotal": "string"
        }
      ],
      "sapSoldTo": "string"
    }
  ]
}
Response Information
Response body formats
application/json
Example:
"erpInvoices": [
    {
      "dealer": "string",
      "invoices": [
        {
          "delivery": "string",
          "sapShipTo": "string",
          "charge": "string",
          "sapPayer": "string",
          "invoiceNumber": "string",
          "invoiceDate": "string",
          "companyName": "string",
          "address1": "string",
          "address2": "string",
          "postcode": "string",
          "customerABN": "string",
          "customerReference": "string",
          "deliveryDate": "string",
          "deliveryMethod1": "string",
          "deliveryMethod2": "string",
          "deliveryNumber": "string",
          "deliveryReference": "string",
          "orderNumber": "string",
          "orderDate": "string",
          "orderType": "string",
          "orderTypeName": "string",
          "hoosInvoiceItems": [
            {
              "lineNumber": "string",
              "partNumber": "string",
              "partDescription": "string",
              "partQuantityOrdered": "string",
              "partQuantityAllocated": "string",
              "partQuantityBackorder": "string",
			  "listPrice": 0,
              "wholesalePrice": "string",
              "extension": "string"
            }
          ],
          "subTotal": "string",
          "freight": "string",
          "gst": "string",
          "grandTotal": "string"
        }
      ],
      "sapSoldTo": "string"
    }
  ]
}
Notes

Or Bad Response: The invoice source has returned data. Please contact Honda web services with your query settings...